<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: cvmatrix_descriptor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('cvmatrix__descriptor_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cvmatrix_descriptor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cvmatrix__descriptor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef CVMATRIX_DESCRIPTOR_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define CVMATRIX_DESCRIPTOR_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvmatrix__descriptor.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html#abe29e1334e98f2581a7f3c4d2dba3211">cvmatrix_descriptor</a>(uint32_t rows, uint32_t cols);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a1abe66646468d9bf743d21adc028eaf3">~cvmatrix_descriptor</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6b68acb9a1db79573780370c54b6d077">SetElementName</a>(uint32_t row, uint32_t col, std::string name);</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  std::string <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6bb368cea0ea8e947446d4d468f0a7bc">ElementName</a>(uint32_t row, uint32_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  uint32_t <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html#af29d7a83feaaa169ba44719165b3f85b">Rows</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  uint32_t <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html#ab27faf7fde9bbe28037e7f7e435cc7c8">Cols</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  uint32_t rows, cols;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  std::string **element_names;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;};</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#endif // CVMATRIX_DESCRIPTOR_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html_a6b68acb9a1db79573780370c54b6d077"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6b68acb9a1db79573780370c54b6d077">flair::core::cvmatrix_descriptor::SetElementName</a></div><div class="ttdeci">void SetElementName(uint32_t row, uint32_t col, std::string name)</div><div class="ttdoc">Set element name. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html_ab27faf7fde9bbe28037e7f7e435cc7c8"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html#ab27faf7fde9bbe28037e7f7e435cc7c8">flair::core::cvmatrix_descriptor::Cols</a></div><div class="ttdeci">uint32_t Cols(void) const </div><div class="ttdoc">Number of colomns. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html">flair::core::cvmatrix_descriptor</a></div><div class="ttdoc">Class describing cvmatrix elements, for log and graphs purpose. </div><div class="ttdef"><b>Definition:</b> cvmatrix_descriptor.h:28</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html_af29d7a83feaaa169ba44719165b3f85b"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html#af29d7a83feaaa169ba44719165b3f85b">flair::core::cvmatrix_descriptor::Rows</a></div><div class="ttdeci">uint32_t Rows(void) const </div><div class="ttdoc">Number of rows. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html_a6bb368cea0ea8e947446d4d468f0a7bc"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html#a6bb368cea0ea8e947446d4d468f0a7bc">flair::core::cvmatrix_descriptor::ElementName</a></div><div class="ttdeci">std::string ElementName(uint32_t row, uint32_t col) const </div><div class="ttdoc">Element name. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html_a1abe66646468d9bf743d21adc028eaf3"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html#a1abe66646468d9bf743d21adc028eaf3">flair::core::cvmatrix_descriptor::~cvmatrix_descriptor</a></div><div class="ttdeci">~cvmatrix_descriptor()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html_abe29e1334e98f2581a7f3c4d2dba3211"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html#abe29e1334e98f2581a7f3c4d2dba3211">flair::core::cvmatrix_descriptor::cvmatrix_descriptor</a></div><div class="ttdeci">cvmatrix_descriptor(uint32_t rows, uint32_t cols)</div><div class="ttdoc">Constructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="cvmatrix__descriptor_8h.html">cvmatrix_descriptor.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
